---
updatedAt: 2026-04-20T19:56:08.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get account balance history config v1

Get the current account balance history configuration by division code.

Also returns previous configurations if you pass the query parameter `showPrevious` set to `true`.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Transaction banking",
    "version": "0.9.0",
    "description": "Transaction banking API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Bank statements",
      "description": "Bank statements endpoints"
    }
  ],
  "components": {
    "parameters": {
      "DivisionCodePath": {
        "name": "divisionCode",
        "in": "path",
        "description": "Division code registered in the [Create division](https://developers.pismo.io/pismo-docs/reference/post-division-v2) endpoint.",
        "schema": {
          "type": "string",
          "maxLength": 36,
          "pattern": "^[a-zA-Z0-9-]+$"
        },
        "required": true,
        "example": "my-division-code"
      },
      "LimitQuery": {
        "name": "limit",
        "in": "query",
        "description": "Maximum number of items per page. Defaults to `10`",
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 10,
          "maximum": 20
        },
        "example": 20
      },
      "OffsetQuery": {
        "name": "offset",
        "in": "query",
        "description": "Starting point for the results list. Default is `0`",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 0,
          "minimum": 0
        },
        "example": 1
      },
      "ShowPreviousQuery": {
        "name": "showPrevious",
        "in": "query",
        "description": "Should the previous account balances history by division code be returned? \\\nIf `true`, returns the previous account balances history configuration by division code. Default is `false`.\\\nFor example, if you use [Update account balance history config](https://developers.pismo.io/pismo-docs/reference/patch-account-balances-history-configv2) to update an existing balance history configuration, specifying `true` in this field returns both the current balance history configuration and the previous ones.\\\nThere is no limit to how many previous balance history configurations can be returned.\n",
        "required": false,
        "example": true,
        "schema": {
          "type": "boolean",
          "default": false
        }
      }
    },
    "schemas": {
      "ConfigUpdatedAt": {
        "type": "string",
        "description": "Date/time the configuration was updated. Format is ISO 8601 (`YYYY-MM-DDThh:mm:ss.ffffffz`).",
        "example": "2025-05-19T12:41:18.373248Z"
      },
      "CycleClosingTime": {
        "type": "string",
        "format": "time",
        "description": "Time of day the cycle closes for a division. This time follows the timezone configured in division. You can find the division timezone using the [Get division by code](https://developers.pismo.io/pismo-docs/reference/get-division-by-code-v2) endpoint.",
        "pattern": "^(?:([01]?\\d|2[0-3]):([0-5]?\\d):)?([0-5]?\\d)$",
        "example": "22:00:00",
        "maxLength": 8
      },
      "CycleConfigValidity": {
        "type": "object",
        "description": "The start and end date/time indicating when the cycle configuration becomes valid or invalid.\n",
        "properties": {
          "start": {
            "type": "string",
            "format": "datetime",
            "description": "The date and time when the configuration becomes valid. Format = `yyyy-mm-dd:hr:mm:ss`.",
            "example": "2023-04-01T22:10:00Z"
          },
          "end": {
            "type": "string",
            "format": "datetime",
            "description": "The date and time when the configuration ends. Format = `yyyy-mm-dd:hr:mm:ss`.",
            "example": "2023-05-01T22:10:00Z"
          }
        }
      },
      "CycleEventDelay": {
        "type": "integer",
        "format": "int32",
        "description": "The cycle event delay specifies how many minutes after `cycle_closing_time` the account balance history event is issued for each account in the division.",
        "example": 15,
        "minimum": 5
      },
      "ErrorCode": {
        "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 12,
        "example": "WPMT0017"
      },
      "ErrorMessage": {
        "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 1000,
        "example": "Invalid JSON payload received: Error unmarshalling request"
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "message": {
            "$ref": "#/components/schemas/ErrorMessage"
          }
        }
      },
      "GetAccountBalanceHistoryConfigurationResponse": {
        "description": "Get account balance history configuration response object",
        "type": "object",
        "properties": {
          "cycle_closing_time": {
            "$ref": "#/components/schemas/CycleClosingTime"
          },
          "cycle_event_delay": {
            "$ref": "#/components/schemas/CycleEventDelay"
          },
          "cycle_config_validity": {
            "$ref": "#/components/schemas/CycleConfigValidity"
          },
          "previous": {
            "type": "array",
            "description": "List of previous configurations of the division account balance history.",
            "items": {
              "$ref": "#/components/schemas/PreviousAccountBalanceHistoryConfig"
            }
          }
        }
      },
      "PreviousAccountBalanceHistoryConfig": {
        "type": "object",
        "properties": {
          "cycle_closing_time": {
            "$ref": "#/components/schemas/CycleClosingTime"
          },
          "cycle_event_delay": {
            "$ref": "#/components/schemas/CycleEventDelay"
          },
          "updated_at": {
            "$ref": "#/components/schemas/ConfigUpdatedAt"
          },
          "cycle_config_validity": {
            "$ref": "#/components/schemas/CycleConfigValidity"
          }
        }
      }
    },
    "responses": {
      "500InternalServer": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "examples": {
              "Generic internal error": {
                "value": {
                  "code": "ECMN9999",
                  "message": "Internal error"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/bank-statements/v1/account-balances/history/config/{divisionCode}": {
      "get": {
        "summary": "Get account balance history config v1",
        "description": "Get the current account balance history configuration by division code.\n\nAlso returns previous configurations if you pass the query parameter `showPrevious` set to `true`.",
        "operationId": "get-account-balance-history-configuration",
        "tags": [
          "Bank statements"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/DivisionCodePath"
          },
          {
            "$ref": "#/components/parameters/ShowPreviousQuery"
          },
          {
            "$ref": "#/components/parameters/OffsetQuery"
          },
          {
            "$ref": "#/components/parameters/LimitQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAccountBalanceHistoryConfigurationResponse"
                },
                "examples": {
                  "Example transaction": {
                    "value": {
                      "cycle_closing_time": "22:00:00",
                      "cycle_event_delay": 10,
                      "cycle_config_validity": {
                        "start": "2023-05-01T22:10:00Z"
                      },
                      "previous": [
                        {
                          "cycle_closing_time": "23:00:00",
                          "cycle_event_delay": 15,
                          "cycle_config_validity": {
                            "start": "2023-04-01T22:10:00Z",
                            "end": "2023-05-01T22:10:00Z"
                          }
                        }
                      ],
                      "previous_pagination": {
                        "has_next": true,
                        "limit": 2,
                        "offset": 16
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "division_code parameter required": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "divisionCode is a required parameter"
                    }
                  },
                  "cycle_closing_time exceed size": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time must be a maximum of 8 characters in length"
                    }
                  },
                  "cycle_closing_time invalid time format": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time has an invalid time format: {cycle_closing_time}"
                    }
                  },
                  "cycle_event_delay must be 5 minutes or greater": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_event_delay must be 5 or greater"
                    }
                  },
                  "cycle_event_delay exceed maximum minutes": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_event_delay must be 1,439 or less"
                    }
                  },
                  "cycle_closing_time or cycle_event_delay must be provided": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time or cycle_event_delay must be provided"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "Division not found": {
                    "value": {
                      "code": "WCFG0003",
                      "message": "Division [divisionCode] not found"
                    }
                  },
                  "Account balance history config not found": {
                    "value": {
                      "code": "WCFG0005",
                      "message": "Account balance history config not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```